Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034190
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementcriticalalways2016-09-13 12:562016-11-03 18:12
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision842658ead485
ProjectionnoneETAnoneTarget Version3.0PR16Q4
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-04-20
Regression introduced in release3.0PR16Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/5406f70dad91 [^]
Triggers an Emergency PackNo
Summary

0034190: Wrong costs calculated with Backdated Transactions

DescriptionAfter the fix done to improve performance, in case of Backdated transactions, it is possible to calculate wrong cost values.

Now, the accumulated stock and accumulated valuation are persisted in the m_costing table. Due to backdated cost adjustments, this values can differ from the original ones and they create further problems.
Steps To ReproduceThis problem has been found with SuperdoƱa's data.
It can be reproduced using their environment.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0034184 closeddmiguelez API Change Request. Add parameters in CostingUtils and CostAdjustmentUtils methods 
blocks defect 00339683.0PR17Q1 closeddmiguelez Wrong costs calculated with Backdated Transactions 

-  Notes
(0091087)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: cf21a9def3dc1cc16f2f438074df49ef1148a1e5
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 19 13:55:25 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/cf21a9def3dc1cc16f2f438074df49ef1148a1e5 [^]

Fixes issue 34190: Wrong costs calculated with Backdated Transactions

CumStock and CumCost will not be calculated in case there is a cost adjustment.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091088)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: 8dc000b3b8888b2ce86923e0dda39576df5b696e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 14:53:39 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/8dc000b3b8888b2ce86923e0dda39576df5b696e [^]

Related to issue 34190: Code review improvements

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091089)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: 71a1fe6b9b159574af2a77af029a8e7943ae2de9
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 19 13:55:25 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/71a1fe6b9b159574af2a77af029a8e7943ae2de9 [^]

Fixes issue 34190: Filter by costing transaction instead of current transaction

Filter by costing transaction instead of current transaction when existsCumulatedStockOnTrxDate or existsCumulatedValuationOnTrxDate in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091090)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: 35252c7e55a982b38c641b9e90dbb0dd890c40fc
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 14:53:39 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/35252c7e55a982b38c641b9e90dbb0dd890c40fc [^]

Related to issue 34190: Retrieve costing transaction only once

Retrieve costing transaction only once in CostAdjustmentUtils.getStockOnTransactionDate, CostAdjustmentUtils.getValuedStockOnTransactionDate, CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091091)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: b8af4c093690c45e55647882db5842d28e09d3a8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 19 13:55:25 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/b8af4c093690c45e55647882db5842d28e09d3a8 [^]

Fixes issue 34190: Add movementdate filter in CostAdjustmentUtils in case BDT

Add movementdate filter in case costing rule allows backdated transactions in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091092)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: af56e816d02f850cea3f9445565d42f28b5944d5
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 14:53:39 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/af56e816d02f850cea3f9445565d42f28b5944d5 [^]

Related to issue 34190: Rename movementdate and dateFrom parameters

Rename movementdate and dateFrom parameters to cmvtdate and ctrxdate and use costing transaction trxprocessdate instead of costing starting date in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091093)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: c017c5866f4e6f0280a9493461ab5c289d2e5462
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 18:27:30 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/c017c5866f4e6f0280a9493461ab5c289d2e5462 [^]

Fixes issue 34190: Use getLastCumulatedCosting instead of getProductCost

Use AverageAlgorithm.getLastCumulatedCosting instead of AverageAlgorithm.getProductCost to retrieve last costing entry with cumulated values in CostAdjustmentUtils.getStockOnTransactionDate, CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091094)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: dcd3e033506464df95fa652971a2a716e3d4b42e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 19:01:51 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/dcd3e033506464df95fa652971a2a716e3d4b42e [^]

Related to issue 34190: Avoid API change

Add cumcost not null restriction and retrieve unique result in AverageAlgorithm.getLastCumulatedCosting.
Avoid API change by calculating correct date outside the method and removing unneeded transaction parameter in CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.
Use AverageAlgorithm.getLastCumulatedCosting also in CostAdjustmentUtils.getValuedStockOnTransactionDate.
Call to AverageAlgorithm.getLastCumulatedCosting with movementdate or trxprocessdate depending on areBackdatedTrxFixed in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091095)
hgbot (developer)
2016-11-03 18:05

Repository: erp/backports/3.0PR16Q4
Changeset: 79e5028c960227f56b0c0fd80aa8379fa68745f1
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 19:40:33 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/79e5028c960227f56b0c0fd80aa8379fa68745f1 [^]

Related to issue 34190: Return costing cumulated values if trx is costing trx

Return costing cumulated values if trx is costing trx in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091096)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: 023ba4e8f5c45442acd55c97c995b5e91631f260
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 19:49:10 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/023ba4e8f5c45442acd55c97c995b5e91631f260 [^]

Fixes issue 34190: Truncate costing rule fix backdated from date

Truncate costing rule fix backdated from date when compering it with transaction movement date in CostingServer.java.

---
M src/org/openbravo/costing/CostingServer.java
---
(0091097)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: b6df9f024c44318f74f6ff7ccb790291ff42e392
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 20:05:45 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/b6df9f024c44318f74f6ff7ccb790291ff42e392 [^]

Related to issue 34190: Truncate also transaction movement date

Truncate also transaction movement date when compering it with costing rule fix backdated from date in CostingServer.java.
Truncate also transaction movement date and costing rule fix backdated from date for costing rules with standard algorithm.

---
M src/org/openbravo/costing/CostingServer.java
---
(0091098)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: 5980e6831112027cae0668a5c539ea9859432efd
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 20:59:27 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/5980e6831112027cae0668a5c539ea9859432efd [^]

Fixes issue 34190: Revert negative adjustment if needed by BDT

Revert negative adjustment when a backdated transaction turns negative stock into positive stock.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091099)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: 005eedf23c081c590443ba93e4856821a331ac98
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 21:05:21 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/005eedf23c081c590443ba93e4856821a331ac98 [^]

Related to issue 34190: Move getNegativeStockAdjustments method

Move AverageCostAdjustment.getNegativeStockAdjustments method to the end of the file and add documentation.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091100)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: 14f9669afa82b2d8a1dce0ed373ec4df43c37bbe
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 20:29:15 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/14f9669afa82b2d8a1dce0ed373ec4df43c37bbe [^]

Fixes issue 34190: Fix rounding issue when cumulate stock has many decimals

Round cumcost and cumstock to currency cost precision before divide them to calculate cost to avoid rounding issues in CostAdjustmentUtils.getStockOnTransactionDate, CostAdjustmentUtils.getValuedStockOnTransactionDate, CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091101)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: eaec0d6e778a5438afbd31960372b11551c37672
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 20:53:11 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/eaec0d6e778a5438afbd31960372b11551c37672 [^]

Related to issue 34190: Send parameters in order

Send parameters in order, first currency and then costing, to CostAdjustmentUtils.getStockOnTransactionDate and CostingUtils.getCurrentStock.
Round also cumstock and cumcost when transaction is the costing transaction.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091102)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: c9ae7c0e2475aa7fa4b5d23e0534c8f557fb1714
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 22:20:32 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/c9ae7c0e2475aa7fa4b5d23e0534c8f557fb1714 [^]

Related to issue 34190: Avoid another API change

Use client or organization currency to round cumstock and cumcost, to avoid send currency to CostAdjustmentUtils.getStockOnTransactionDate and CostingUtils.getCurrentStock and avoid the API change.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091103)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: 842658ead4859bf8cdde7c718f1244166adacf87
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 21:06:34 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/842658ead4859bf8cdde7c718f1244166adacf87 [^]

Fixes issue 34190: Avoid errors with Goods Movements

---
M src/org/openbravo/costing/CostingUtils.java
---
(0091104)
hgbot (developer)
2016-11-03 18:06

Repository: erp/backports/3.0PR16Q4
Changeset: c28775e4425f2a0240302415404d7d537e73b0a5
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 27 13:24:12 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/c28775e4425f2a0240302415404d7d537e73b0a5 [^]

Related to issue 34190: Use cumulated values when movement date is the same

Use also cumulated values in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate methods when trx and ctrx movementdate is the same.
Also, truncate movementdate before comparing it.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091105)
hgbot (developer)
2016-11-03 18:07

Repository: erp/backports/3.0PR16Q4
Changeset: 02d4e1d000a70f76c00248f169f2dd9df5c27a76
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 22:21:54 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/02d4e1d000a70f76c00248f169f2dd9df5c27a76 [^]

Related to issue 34190: Remove cumstock and cumcost assert in TestCosting

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0091106)
hgbot (developer)
2016-11-03 18:07

Repository: erp/backports/3.0PR16Q4
Changeset: 2b29e5528dad3265c9626339748c8cf5f9327c9a
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 28 13:57:03 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/2b29e5528dad3265c9626339748c8cf5f9327c9a [^]

Related to issue 34190: Make an API change

Add MaterialTransaction trx parameter to CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock methods.
Also, remove product and date unneeded parameters and add areBackdatedTrxFixed parameter to avoid get again the costingRule.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091107)
hgbot (developer)
2016-11-03 18:07

Repository: erp/backports/3.0PR16Q4
Changeset: 79333f196002aaf5657824deaa314dd2b7ff4aeb
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 28 14:12:00 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/79333f196002aaf5657824deaa314dd2b7ff4aeb [^]

Related to issue 34190: Make another API change

Send currency to CostAdjustmentUtils.getStockOnTransactionDate and CostingUtils.getCurrentStock.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091108)
hgbot (developer)
2016-11-03 18:07

Repository: erp/backports/3.0PR16Q4
Changeset: 66f977cbeb1721589cd028de800c55ee54f53708
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 28 14:16:44 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/66f977cbeb1721589cd028de800c55ee54f53708 [^]

Related to issue 34190: Exclude M+ in case M- also in CostAdjustmentUtils

Exclude M+ in case M- also in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate as it is done in CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091109)
hgbot (developer)
2016-11-03 18:07

Repository: erp/backports/3.0PR16Q4
Changeset: 81a7639892a6d5e77723df027c239306086b8798
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Oct 11 17:41:03 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/81a7639892a6d5e77723df027c239306086b8798 [^]

Related to issue 34190: Add comments

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091113)
aferraz (developer)
2016-11-03 18:12

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-10-11 18:25 aferraz Type defect => backport
2016-10-11 18:25 aferraz Target Version 3.0PR17Q1 => 3.0PR16Q4
2016-11-03 17:53 aferraz Relationship added depends on 0034184
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091087
2016-11-03 18:05 hgbot Status scheduled => resolved
2016-11-03 18:05 hgbot Resolution open => fixed
2016-11-03 18:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/cf21a9def3dc1cc16f2f438074df49ef1148a1e5 [^]
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091088
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091089
2016-11-03 18:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/cf21a9def3dc1cc16f2f438074df49ef1148a1e5 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/71a1fe6b9b159574af2a77af029a8e7943ae2de9 [^]
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091090
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091091
2016-11-03 18:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/71a1fe6b9b159574af2a77af029a8e7943ae2de9 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/b8af4c093690c45e55647882db5842d28e09d3a8 [^]
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091092
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091093
2016-11-03 18:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/b8af4c093690c45e55647882db5842d28e09d3a8 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/c017c5866f4e6f0280a9493461ab5c289d2e5462 [^]
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091094
2016-11-03 18:05 hgbot Checkin
2016-11-03 18:05 hgbot Note Added: 0091095
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091096
2016-11-03 18:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/c017c5866f4e6f0280a9493461ab5c289d2e5462 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/023ba4e8f5c45442acd55c97c995b5e91631f260 [^]
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091097
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091098
2016-11-03 18:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/023ba4e8f5c45442acd55c97c995b5e91631f260 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/5980e6831112027cae0668a5c539ea9859432efd [^]
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091099
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091100
2016-11-03 18:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/5980e6831112027cae0668a5c539ea9859432efd [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/14f9669afa82b2d8a1dce0ed373ec4df43c37bbe [^]
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091101
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091102
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091103
2016-11-03 18:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/14f9669afa82b2d8a1dce0ed373ec4df43c37bbe [^] => http://code.openbravo.com/erp/backports/3.0PR16Q4/rev/842658ead4859bf8cdde7c718f1244166adacf87 [^]
2016-11-03 18:06 hgbot Checkin
2016-11-03 18:06 hgbot Note Added: 0091104
2016-11-03 18:07 hgbot Checkin
2016-11-03 18:07 hgbot Note Added: 0091105
2016-11-03 18:07 hgbot Checkin
2016-11-03 18:07 hgbot Note Added: 0091106
2016-11-03 18:07 hgbot Checkin
2016-11-03 18:07 hgbot Note Added: 0091107
2016-11-03 18:07 hgbot Checkin
2016-11-03 18:07 hgbot Note Added: 0091108
2016-11-03 18:07 hgbot Checkin
2016-11-03 18:07 hgbot Note Added: 0091109
2016-11-03 18:12 aferraz Review Assigned To => aferraz
2016-11-03 18:12 aferraz Note Added: 0091113
2016-11-03 18:12 aferraz Status resolved => closed
2016-11-03 18:12 aferraz Fixed in Version => 3.0PR16Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker